<?php
namespace App\Controller;

use App\Controller\AppController;

/**
* Ingresos Controller
*
* @property \App\Model\Table\IngresosTable $Ingresos
*
* @method \App\Model\Entity\Ingreso[]|\Cake\Datasource\ResultSetInterface paginate( $object = null, array $settings = [] )
*/

class IngresosController extends AppController {
    /**
    * Index method
    *
    * @return \Cake\Http\Response|null
    */
    public function codigo( $id = null ) {
        //seleccionar query url de fecha desde y hasta fechah

        if ( $this->request->query[ 'fechah' ] == null || $this->request->query[ 'fechad' ] == null ) {
           
            $this->set( compact( 'Ingresos' ) );
        } else {

            $desde = $this->request->query[ 'fechah' ];
            $hasta = $this->request->query[ 'fechad' ];


            $fechar = "(to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
      

            $this->paginate = [
                'conditions' => [
                    'Ingresos.tipo' => $id,
                    $fechar

                ],
                'order' => [
                    'Ingresos.id' => 'asc'
                ]
            ];

            $Ingresos = $this->paginate( $this->Ingresos );
            

            $this->set( compact( 'Ingresos' ) );
            $this->set( 'desde', $desde );
            $this->set( 'hasta', $hasta );
        }
        
    }

  
}
