<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Aprobarventa Entity
 *
 * @property int $id
 * @property string $fecha
 * @property string $cedula
 * @property string $cliente
 * @property string $chasis
 * @property float $ventatotal
 * @property string $formadepago
 * @property string $vendedor
 * @property string $moneda
 * @property float $entregaminima
 * @property float $entregatotal
 * @property float $saldo
 * @property int $cantidadcuota
 * @property string $us_login
 * @property string $aprobado
 * @property float $comision
 * @property float $costo
 * @property int $idformadepago
 * @property int $idmoneda
 * @property int $idvendedor
 * @property int $idusuario
 * @property string $fechainiciopago
 * @property int $responsable
 * @property string $idchasis
 * 
 */
class Aprobarventa extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true
    ];
}
