<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Asignarchofer Entity
 *
 * @property int|null $id
 * @property string|null $fecha
 * @property string|null $chasis
 * @property int|null $marca_id
 * @property int|null $modelo_id
 * @property int|null $ano_id
 * @property int|null $color_id
 * @property int|null $tipo_id
 * @property int|null $procedencia_id
 * @property int|null $importador_id
 * @property string|null $obs
 * @property int|null $proveedor_id
 * @property string|null $comprobante
 * @property int|null $estado
 * @property int|null $chofere_id
 * @property string|null $chofer
 *
 * @property \App\Model\Entity\Chofere $chofere
 */
class Asignarchofer extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id' => true,
        'fecha' => true,
        'chasis' => true,
        'marca_id' => true,
        'marca' => true,
        'modelo_id' => true,
        'modelo' => true,
        'ano_id' => true,
        'ano' => true,
        'color_id' => true,
        'color' => true,
        'tipo_id' => true,
        'tipo' => true,
        'procedencia_id' => true,
        'procedencia' => true,
        'importador_id' => true,
        'importador' => true,
        'obs' => true,
        'proveedor_id' => true,
        'proveedor' => true,
        'comprobante' => true,
        'estado' => true,
        'chofere_id' => true,
        'chofer' => true,
        'chofere' => true,
    ];
}
