<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * DepositosUbica Entity
 *
 * @property int $id
 * @property int $deposito_id
 * @property int $ubica_id
 * @property string $chasis
 * @property int $estado
 * @property int $usuario
 * @property string $fecha
 * @property string $hora
 * @property int $borrado
 * 
 * @property \App\Model\Entity\Deposito $deposito
 * @property \App\Model\Entity\Ubica $ubica
 */
class DepositosUbica extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true
    ];
}
