<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ModelsAno Entity
 *
 * @property int $id
 * @property int $model_id
 * @property int $ano_id
 * @property float $precio
 *
 * @property \App\Model\Entity\Model $model
 * @property \App\Model\Entity\Ano $ano
 */
class ModelsAno extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'model_id' => true,
        'ano_id' => true,
        'precio' => true,
        'model' => true,
        'ano' => true
    ];
}
