<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * PropuestasFeria Entity
 *
 * @property int $id
 * @property string $nombre
 * @property string $celular
 * @property string $propuesta
 * @property string $observacion
 * @property string $chasis
 * @property float $bono
 * @property string $respuestagerente
 * @property int $estado
 * @property int $usuario
 * @property string $photo
 * @property string $photo_dir
 * @property string $fecha
 * @property string $hora
 * @property string $vendedor
 */
class PropuestasFeria extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'nombre' => true,
        'celular' => true,
        'propuesta' => true,
        'observacion' => true,
        'chasis' => true,
        'bono' => true,
        'respuestagerente' => true,
        'estado' => true,
        'usuario' => true,
        'photo' => true,
        'photo_dir' => true,
        'fecha' => true,
        'hora' => true,
        'vendedor' => true
    ];
}
