<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Ano $ano
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('List Anos'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Models'), ['controller' => 'Models', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Model'), ['controller' => 'Models', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="anos form large-9 medium-8 columns content">
    <?= $this->Form->create($ano) ?>
    <fieldset>
        <legend><?= __('Add Ano') ?></legend>
        <?php
            echo $this->Form->control('ano');
            echo $this->Form->control('models._ids', ['options' => $models]);
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
