<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Aprobarventa $aprobarventa
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $aprobarventa->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $aprobarventa->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Aprobarventas'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="aprobarventas form large-9 medium-8 columns content">
    <?= $this->Form->create($aprobarventa) ?>
    <fieldset>
        <legend><?= __('Edit Aprobarventa') ?></legend>
        <?php
            echo $this->Form->control('fecha');
            echo $this->Form->control('cedula');
            echo $this->Form->control('cliente');
            echo $this->Form->control('chasis');
            echo $this->Form->control('ventatotal');
            echo $this->Form->control('formadepago');
            echo $this->Form->control('vendedor');
            echo $this->Form->control('moneda');
            echo $this->Form->control('entregaminima');
            echo $this->Form->control('entregatotal');
            echo $this->Form->control('saldo');
            echo $this->Form->control('cantidadcuota');
            echo $this->Form->control('us_login');
            echo $this->Form->control('aprobado');
            echo $this->Form->control('comision');
            echo $this->Form->control('costo');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
