<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Aprobarventa $aprobarventa
 */
?>


<center><h3><?= __('APROBAR VENTAS') ?></h3></center>
    <table class="table table-striped table-hover">
        <tbody>
        <?php foreach ($aprobarventas as $aprobarventa): ?>
            <tr>
                <td>
                    <?php 
                     echo '<b>CEDULA </b>' . h($aprobarventa['cedula']) . '<br>' ; 
                     echo '<b>CLIENTE: </b>' .h($aprobarventa['cliente'])  . '<br>' . '<br>'; 

                     echo '<b>CHASIS: </b>' . h($aprobarventa['chasis']) . '<br>' . '<br>' ; 

                


                     echo '<b>FORMA DE PAGO: </b>' . h($aprobarventa['formadepago']) . '<br>' ; 
                     echo '<b>MONEDA: </b>' . h($aprobarventa['moneda']) . '<br>' ; 
                     echo '<b>TOTAL: </b>' . $this->Number->format($aprobarventa['ventatotal']) . '<br>'; 
                     echo '<b>GANANCIA: </b>' . $this->Number->format(($aprobarventa['ventatotal'] - $aprobarventa['costo'])) . '<br>'; 
                     echo '<b>ENTREGA: </b>' . $this->Number->format($aprobarventa['entregatotal']) . '<br>'; 
                     echo '<b>SALDO: </b>' . $this->Number->format($aprobarventa['saldo']) . '<br>' . '<br>'; 

                     echo '<b>TOTAL DE CUOTAS: </b>' . $this->Number->format($aprobarventa['cantidadcuota']) . '<br>' . '<br>'; 
                     echo '<b>VENDEDOR: </b>' . h($aprobarventa['vendedor']) . '<br>'; 
                     echo '<b>APROBO: </b>' . h($aprobarventa['aprobado']) . '<br>' . '<br>'; 
                    ?>
                </td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>

    <center><h4><?= __('ENTREGA') ?></h></center>
    <table class="table table-striped table-hover">
        <tbody>
        <?php foreach ($aprobarventaentregas as $aprobarventaentrega): ?>
            <tr>
                <td><?= '<b>DETALLE: </b>' . $aprobarventaentrega['detalle'] . ' ' . $aprobarventaentrega['detalle2'] ?></td>
                <td><?=  '<b>MONTO: </b>' .$this->Number->format($aprobarventaentrega['monto']) ?></td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <?php  if(!empty($aprobarventacuotas)){ ?>

        <br>
        <center><h4><?= __('CUOTAS') ?></h></center>
        <table class="table table-striped table-hover">
        
            <thead>
                <tr>
                    <th scope="col"><?= 'NRO CUOTA' ?></th>
                    <th scope="col"><?= 'FECHA' ?></th>
                    <th scope="col"><?= 'MONTO' ?></th>
                    <th scope="col"><?= 'TIPO' ?></th>
                </tr>
            </thead>

            <?php foreach ($aprobarventacuotas as $aprobarventacuota): ?>
                    
                <tbody>
                    <tr>
                        <td><?= $aprobarventacuota['nrocuota'] ?></td>
                        <td><?= $aprobarventacuota['fecha'] ?></td>
                        <td><?= $this->Number->format($aprobarventacuota['monto']) ?></td>
                        <td><?= $aprobarventacuota['tipo'] ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>

    <?php } ?> 

    <?php  if(!empty($aprobarventapagares)){ ?>
        <br>
        <center><h4><?= __('PAGARES GENERADOS') ?></h></center>
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th scope="col"><?= 'NRO CUOTA' ?></th>
                    <th scope="col"><?= 'VENCIMIENTO' ?></th>
                    <th scope="col"><?= 'MONTO' ?></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach ($aprobarventapagares as $aprobarventapagare): ?>
                <tr>
                    <td><?=  $aprobarventapagare['nro'] ?></td>
                    <td><?=  $aprobarventapagare['fechavencimiento'] ?></td>
                    <td><?= $this->Number->format($aprobarventapagare['monto']) ?></td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php } ?> 



    <?php
echo '<br>';
    echo $this->Html->link(__('SIGUIENTE'), ['action' => 'comision', $aprobarventa['id']], ['class' => 'btn btn-success  btn-block']) ;

?>
