<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bonosdescuento[]|\Cake\Collection\CollectionInterface $bonosdescuentos
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Bonosdescuento'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="bonosdescuentos index large-9 medium-8 columns content">
    <h3><?= __('Bonosdescuentos') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('rimpbonoa') ?></th>
                <th scope="col"><?= $this->Paginator->sort('rimpbonob') ?></th>
                <th scope="col"><?= $this->Paginator->sort('rimpbonoc') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usabonoa') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usabonob') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usabonoc') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recbonoa') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recbonob') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recbonoc') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($bonosdescuentos as $bonosdescuento): ?>
            <tr>
                <td><?= $this->Number->format($bonosdescuento->id) ?></td>
                <td><?= $this->Number->format($bonosdescuento->rimpbonoa) ?></td>
                <td><?= $this->Number->format($bonosdescuento->rimpbonob) ?></td>
                <td><?= $this->Number->format($bonosdescuento->rimpbonoc) ?></td>
                <td><?= $this->Number->format($bonosdescuento->usabonoa) ?></td>
                <td><?= $this->Number->format($bonosdescuento->usabonob) ?></td>
                <td><?= $this->Number->format($bonosdescuento->usabonoc) ?></td>
                <td><?= $this->Number->format($bonosdescuento->recbonoa) ?></td>
                <td><?= $this->Number->format($bonosdescuento->recbonob) ?></td>
                <td><?= $this->Number->format($bonosdescuento->recbonoc) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $bonosdescuento->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $bonosdescuento->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $bonosdescuento->id], ['confirm' => __('Are you sure you want to delete # {0}?', $bonosdescuento->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
