<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\CalidadConstruccion $calidadConstruccion
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Calidad Construccion'), ['action' => 'edit', $calidadConstruccion->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Calidad Construccion'), ['action' => 'delete', $calidadConstruccion->id], ['confirm' => __('Are you sure you want to delete # {0}?', $calidadConstruccion->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Calidad Construccions'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Calidad Construccion'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="calidadConstruccions view large-9 medium-8 columns content">
    <h3><?= h($calidadConstruccion->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Descripcion') ?></th>
            <td><?= h($calidadConstruccion->descripcion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechacreacion') ?></th>
            <td><?= h($calidadConstruccion->fechacreacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechamodify') ?></th>
            <td><?= h($calidadConstruccion->fechamodify) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Costo') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->costo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Preciocontado') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->preciocontado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Preciocredito') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->preciocredito) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Descuentoporano') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->descuentoporano) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entrega') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->entrega) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Plazosaldocuota') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->plazosaldocuota) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->usuario) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuariomodify') ?></th>
            <td><?= $this->Number->format($calidadConstruccion->usuariomodify) ?></td>
        </tr>
    </table>
</div>
