<div class="container">
  <div class="row col-xs-12">
     <h6 align="center">BUSQUEDA DE CHASIS</h6>
     <?php echo $this->Form->create('Chaperias', array('type' => 'GET', 'url' => array('controller' => 'Chaperias', 'action' => 'busqueda'))); ?>
     <?php echo $this->Form->control('search', array('label' => false, 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
     <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-sm btn-block')); ?>  
     <?php echo $this->Form->end(); ?>
   </div>
</div>


<?php if (!empty($imagenapps)): ?>
<div class="table-responsive">
     <table class="table  table-sm">
        <thead>
            <tr>
              <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($imagenapps as $ima): ?>
            <tr>
              <td>
                <?= h(trim($ima->chasis)) . '<br>' ?>
                <?= h(trim($ima->marca) . ' ' . trim($ima->modelo) . '' . trim($ima->ano)) ?>
		            <?= $this->Html->link('AGREGAR TRABAJO', [ 'action' => 'add', trim($ima->chasis)], ['class' => 'btn btn-sm btn-success']) ?>
		          </td>
            </tr>
           
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
<?php endif ?>

<?php if (!empty($imagenapps2)): ?>
<div class="table-responsive">
     <table class="table  table-sm">
        <thead>
            <tr>
              <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($imagenapps2 as $ima): ?>
            <tr>
              <td>
                <?= h(trim($ima->chasis)) . '<br>' ?>
                <?= h(trim($ima->marca) . ' ' . trim($ima->modelo) . '' . trim($ima->ano)) ?>
		            <?= $this->Html->link('AGREGAR TRABAJO', [ 'action' => 'add', trim($ima->chasis)], ['class' => 'btn btn-sm btn-success']) ?>
		          </td>
            </tr>
           
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
<?php endif ?>


<?php  if($current_user['id']==31 or $current_user['id']==48  or $current_user['id']==130 or $current_user['id']==120  ) { ?>

      
  <h6  align="center">LISTADO DE TRABAJOS </h6>

     

<div class="container">
  <div class="row col-xs-12">
      <?php echo $this->Form->create('Chaperias', array('type' => 'GET', 'url' => array('controller' => 'Chaperias', 'action' => 'busqueda'))); ?>
      <?php echo $this->Form->control('searchcargados', array('label' => false, 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
      <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-sm btn-block')); ?>  
      <?php echo $this->Form->end(); ?>
  </div>
</div>
  
<h5 >
<?php 
 if($current_user['id']==31 or $current_user['id']==48  or $current_user['id']==1 ) {
echo  $this->Html->link('GENERAR COMISION A NESTOR', ['controller'=> 'generarcomisions', 'action' => 'index'], ['class' => 'btn btn-sm btn-success']) ;
echo '&nbsp&nbsp';
echo  $this->Html->link('TODO TERMINADO', [ 'action' => 'todoterminado'], ['class' => 'btn btn-sm btn-primary']) ;
 
}
?>
</h5>

<div class="row">
    <div class="col-md-12">
       
        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tipotrabajo', ['label' => 'Tipo de trabajo']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado', ['label' => 'Total a cobrar']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
           </tr>
           </thead>
           <tbody>
            <?php foreach ($chaperias as $chaperia): ?>
            <tr>
                <td><?= $this->Number->format($chaperia->id) ?></td>
                <td><?= h($chaperia->fecha) ?></td>
                <td><?= h($chaperia->chasis) ?></td>

                <?php if($chaperia->tipotrabajo == 1){ ?>
                   <td><?= 'CHAPERIA' ?></td>
                <?php } ?>

                <?php if($chaperia->tipotrabajo == 2){ ?>
                   <td><?= 'REPARACION' ?></td>
                <?php } ?>

                <?php if($chaperia->tipotrabajo == 3){ ?>
                   <td><?= 'CAMBIO VOLANTE' ?></td>
                <?php } ?>

                <?php  if($current_user['id']==31 //german
                or $current_user['id']==48 //nestor
                 or $current_user['id']==1 //prg
                  or $current_user['id']==130 //maria
                 ) { ?>

                <td><?= $this->Number->format(($chaperia->total - $chaperia->entrega)) ?></td>
                <?php if($chaperia->estado == 0){ ?>
                 <td><?= 'EN PROCESO' ?></td>
                <td><?= $this->Html->link('Terminado', ['action' => 'terminado', $chaperia->id], ['class' => 'btn btn-sm btn-info']) ?></td>
                <?php } ?>

                <?php if($chaperia->estado == 1){?>
                 <td><?= 'PENDIENTE PAGO' ?></td>
                <?php } ?>

                <td>
                  <?= $this->Html->link('Editar', ['action' => 'modi', $chaperia->id], ['class' => 'btn btn-sm btn-primary']) ?>
                  <?= $this->Form->postLink(__('Borrar'), ['class' => 'btn btn-sm btn-info','action' => 'delete', $chaperia->id], ['confirm' => __('Desea borrar?')] ) ?>
                </td>

                <?php  } ?>

                <?php  if($current_user['id']==120 ) { ?>
                  <td>
                  <?= $this->Html->link('Editar', ['action' => 'modi', $chaperia->id], ['class' => 'btn btn-sm btn-primary']) ?>
                </td>


                  <?php  } ?>

            </tr>
           </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>

    </div>
</div>



<?php  } ?>