<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $credito->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $credito->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Creditos'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="creditos form large-9 medium-8 columns content">
    <?= $this->Form->create($credito) ?>
    <fieldset>
        <legend><?= __('Edit Credito') ?></legend>
        <?php
            echo $this->Form->input('fecha');
            echo $this->Form->input('descripcion');
            echo $this->Form->input('estado');
            echo $this->Form->input('cedula');
            echo $this->Form->input('observacion');
            echo $this->Form->input('fechaactualizacion');
            echo $this->Form->input('moneda');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
