<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Asignarcv[]|\Cake\Collection\CollectionInterface $asignarcvs
 */
?>

<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>


<div class="row">
    <div class="col-md-12">
        
        <div class="page-header" style="margin: 10px 0 5px">
            <p style="margin: 0px 0 0px">Listado para asignar a trabajadores de cambio volante de deposito</p>
            
            <br>
            <div class="container-fluid">
                <?php echo $this->Form->create('Cvdepositos', array('type' => 'GET', 'url' => array('controller' => 'Cvdepositos', 'action' => 'index'))); ?>
                <div class="row">
                    <div class="col-md-9 col-xs-12">
                        <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis...')); ?>
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?>  <?php echo $this->Form->end(); ?>
                    </div>
                </div>
            </div>
            
        </div>
        
        
        
        <?php if (!empty($listas)) { ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                            <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                            <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                            <th>Seleccionar</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($listas as $lista): ?>
                            	<?php
                					echo '<tr class=trrecordid_'. $lista->id .'>';
                				?>
                                <td><?= $lista->id ?></td>
                                <td><?= $lista->fecha ?></td>
                                <td><?= $lista->chasis ?></td>
                                <td>
                                    <?php 
                                        echo $this->Form->checkbox('row', ['hiddenField' => false, 'class' => 'tablerow', 'id' => $lista->id ]);
                                    ?>
                                </td>
                                
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
                
                 <div class="paginator">
                    <ul class="pagination">
                      
                        <?= $this->Paginator->prev('< Anterior') ?>
                            <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                            <?= $this->Paginator->next('Siguiente >') ?>
            
                    </ul>
                    <p><?= $this->Paginator->counter() ?></p>
                 </div>
    
            </div>
        


        <div class="table-responsive">
            <div class="table">
            <tr style="display: inline-flex;"> 
                <td>
                    <?php echo $this->Form->input('search', [
                        'label' => 'Seleccionar trabajador de cv: ',
                        'options' => $cv,
                        'value' => $cv,
                        'id' => 'cv',
                        'empty' => true,
                    ]); ?>
                </td>
                    
                <td> 
                    <?php echo $this->Html->link(
                        'Asignar',
                        'javascript:asignar_selected()',
                        ['class' => 'btn btn-primary']
                    ); ?> 
                </td>
            </tr>
        
            </div>
        </div>
        
        <?php } ?>

    </div>
</div>

<script>

	function asignar_selected(){
	
		if (confirm('Confirmar la(s) asignacion(es)?')) 	{
		
				$('input[type=checkbox]').each(function () {
				var sThisVal = (this.checked ? $(this).val() : "");
				if(sThisVal==1){
					var record_id=$(this).attr("id");
                    var cv=$('#cv').val();

					console.log(record_id + " " + cv);

                    if(cv == ""){
                        alert("Seleccione un trabajador de cambio volante");
                    }else{
                        ajax_asignar(record_id, cv);
                    }

					
				}
			});
		} else {
			// Do nothing!
		}
			

	}


	function ajax_asignar(record_id, cv)	{
		jQuery.ajax({
			type:'POST',
			async: true,
			cache: false,
			data: {id:record_id, vend:cv },
			
			url:"https://www.app.hvnimportaciones.com.py/cvdepositos/ajaxasignar/"+record_id,
			success: function(response) {	
				console.log("ok"); 
				$('.trrecordid_'+record_id).remove();
			},
			error: function(response) {					
				console.log("eroor");
				console.log(response.responseText);
			}
		});
		
	}


</script>