<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\FeriaRecuperado $feriaRecuperado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Feria Recuperado'), ['action' => 'edit', $feriaRecuperado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Feria Recuperado'), ['action' => 'delete', $feriaRecuperado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $feriaRecuperado->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Feria Recuperados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Feria Recuperado'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="feriaRecuperados view large-9 medium-8 columns content">
    <h3><?= h($feriaRecuperado->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Chassis') ?></th>
            <td><?= h($feriaRecuperado->chassis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modelo') ?></th>
            <td><?= h($feriaRecuperado->modelo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Año') ?></th>
            <td><?= h($feriaRecuperado->año) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Color') ?></th>
            <td><?= h($feriaRecuperado->color) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chapa') ?></th>
            <td><?= h($feriaRecuperado->chapa) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($feriaRecuperado->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Precio') ?></th>
            <td><?= $this->Number->format($feriaRecuperado->precio) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bono') ?></th>
            <td><?= $this->Number->format($feriaRecuperado->bono) ?></td>
        </tr>
    </table>
</div>
