<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>
 
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Gasto[]|\Cake\Collection\CollectionInterface $gastos
 */
?>
<div class="row">
    
     
<div class="col-md-12">
        <div class="page-header">
            <h2>Listado de Gasto</h2>
            
             <?php echo $this->Form->create($Gastos, array('type' => 'get')); ?>
            <table class="table table-striped">
            <tr>
                <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'DESDE', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s'  )); ?>
                <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => 'HASTA', 'div' => false, 'id' => 'datado', 'class' => 'form-control s')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?> </tr>
           </table>
           <?php echo $this->Form->end(); ?>
           
        </div>


 <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('motivo') ?></th>
                
            </tr>
        </thead>
        <tbody>
            <?php foreach ($gastos as $gasto): ?>
            <tr>
                <td><?= $this->Number->format($gasto->id) ?></td>
                <td><?= h($gasto->fecha) ?></td>
                <td><?= $this->Number->format($gasto->monto) ?></td>
                <td><?php if($gasto->moneda == 1){
                    echo 'Guaranies';
                }else if($gasto->moneda == 2){
                   echo 'Dolares'; 
                }
                
                
                ?></td>
                <td><?= $gasto->motivo ?></td>
                
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
          
            <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>

        </ul>
        <p><?= $this->Paginator->counter() ?></p>
    </div>
    </div>
</div>

<script>
  $("#dataod").datepicker({dateFormat:"dd-mm-yy"});
  $("#datado").datepicker({dateFormat:"dd-mm-yy"});
  </script>
