<!-- Usa el helper HTML para obtener la URL del archivo GIF -->
<?php
use Cake\View\Helper\HtmlHelper;
// Carga el helper HtmlHelper
$html = new HtmlHelper(new \Cake\View\View());
?>

<!-- Muestra la imagen utilizando la URL generada -->




<div class="container jumbotron">
    
    
    <?php if($veri) { ?>
    <h3 class="text-center" >Generador de token</h3>

    <div class="list-group">
        <a class="list-group-item">
            <h1 class="list-group-item-heading text-center"><?php echo h($generador->codigo); ?></h1>
        </a>
        <div class="text-center">
            <a href="<?php echo $this->Url->build(['controller' => 'Generadors', 'action' => 'add']); ?>" class="btn btn-success">Volver a generar</a>
        </div>
    </div>
    
    
    <p class="list-group-item-text">
        <strong>Estado:</strong> <?php echo ($generador->estado == 0 ? "Pendiente" : "Utilizado"); ?><br>
        <?php if (!empty($generador->detalle)): ?>
            <strong>Detalle:</strong> <?php echo h($generador->detalle); ?><br>
        <?php endif; ?>
        <strong>Fecha:</strong> <?php echo h($generador->fecha); ?><br>
    </p>
    <?php } else { ?>
        <h3 class="text-center" >NO TIENES AUTORIZACIÓN</h3>
        <h3 class="text-center" ><img src="<?= $html->Url->image('nope.gif', ['fullBase' => true]) ?>" alt="Ejemplo"></h3>
    <?php } ?>
</div>