<?php

/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp $imagenapp
 */
?>
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>


<?= $this->Html->link(' <- VOLVER BUSQUEDA', ['action' => 'busqueda'], ['class' => 'btn btn-sm btn-info']) ?>



<div class="table">
    <table class="table caption">
        <?= $this->Form->create($imagenapp, array('type' => 'file')) ?>
        <fieldset>
            <center>
                <legend><?= __('Agregar nueva imagen') ?></legend>
            </center>
            <tr>
                <?php
                $options = array(0 => 'NO', 1 => 'SI');
                $attchequin = array('type' => 'radio', 'options' => $options, 'label' => 'Es deportivo?');
                $attchequin2 = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene llanta deportiva?');
                $attradio = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene radio?');
                $attauxilio = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene auxilio?');
                $attllavederueda = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene llave de rueda?');
                $attmanija = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene manija?');
                $attantena = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene antena?');
                $attsenaleritos = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene señaleritos?');
                $atttapallanta = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene tapa llantas?');
                $attgato = array('type' => 'radio', 'options' => $options, 'label' => 'Tiene gato?');


                echo $this->Form->input('chasis');
                echo $this->Form->input('marca');
                echo $this->Form->input('modelo');
                echo $this->Form->input('color');
                echo $this->Form->input('deportivo', $attchequin);
                echo $this->Form->input('llanta', $attchequin2);
                echo $this->Form->input('radio', $attradio);
                echo $this->Form->input('auxilio', $attauxilio);
                echo $this->Form->input('llavederueda', $attllavederueda);
                echo $this->Form->input('manija', $attmanija);
                echo $this->Form->input('antena', $attantena);
                echo $this->Form->input('senaleritos', $attsenaleritos);
                echo $this->Form->input('tapallanta', $atttapallanta);
                echo $this->Form->input('gato', $attgato);
                echo $this->Form->input('observacion');
                
                ?>



                <div class="container">
                    <h4 class="text-center">Cargar Multiple Archivos</h4>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" id="archivo[]" name="archivo[]" multiple="">
                        </div>

                    </div>
                </div><br><br>

            </tr>
        </fieldset>
        <?= $this->Form->button('Insertar imagen!', ['class' => 'btn btn-primary btn-lg btn-block']) ?>
        <?= $this->Form->end() ?>
</div>
</div>