<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventariosUsado $inventariosUsado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $inventariosUsado->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $inventariosUsado->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Inventarios Usados'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="inventariosUsados form large-9 medium-8 columns content">
    <?= $this->Form->create($inventariosUsado) ?>
    <fieldset>
        <legend><?= __('Edit Inventarios Usado') ?></legend>
        <?php
            echo $this->Form->control('fecha');
            echo $this->Form->control('usuario');
            echo $this->Form->control('modelo');
            echo $this->Form->control('marca');
            echo $this->Form->control('color');
            echo $this->Form->control('chasis');
            echo $this->Form->control('motorsopla');
            echo $this->Form->control('accesorios');
            echo $this->Form->control('cajafuncionabien');
            echo $this->Form->control('direccionhidraulica');
            echo $this->Form->control('aire');
            echo $this->Form->control('radio');
            echo $this->Form->control('cajadesonido');
            echo $this->Form->control('parabrisaroto');
            echo $this->Form->control('farodelanteroderecho');
            echo $this->Form->control('farodelanteroizq');
            echo $this->Form->control('farotraseroderecho');
            echo $this->Form->control('farotraseroizq');
            echo $this->Form->control('llantadeportiva');
            echo $this->Form->control('tablerolindo');
            echo $this->Form->control('estadovehiculo');
            echo $this->Form->control('gato');
            echo $this->Form->control('auxilio');
            echo $this->Form->control('titulo');
            echo $this->Form->control('contratos');
            echo $this->Form->control('frente');
            echo $this->Form->control('guardabarrodelanteroderecho');
            echo $this->Form->control('puertadelanteraderecha');
            echo $this->Form->control('puertatraseraderecha');
            echo $this->Form->control('guardabarrotrasero');
            echo $this->Form->control('partetrasera');
            echo $this->Form->control('guardabarrotraseroizq');
            echo $this->Form->control('puertatraseraizq');
            echo $this->Form->control('puertadelantaraizq');
            echo $this->Form->control('guardabarrodelanteroizq');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
