<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>MIS VENTAS - POR FECHA</h2>
        
        

          <?php echo $this->Form->create($simuladorVenta, array('type' => 'post')); ?>
          <div class="form-group">
          <?php echo $this->Form->input('fecha', array('label' => false, 'div' => false, 'id' => 'datarozmowy', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Fecha de operación')); ?>
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
          </div>
          <?php echo $this->Form->end(); ?>

          </div>
        <div class="table-responsive text-nowrap">
            <table class="table table-striped">
                <thead>
                    <tr>

                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($simuladorVentas as $simuladorVenta): ?>
                    <tr>
                        <td>
                        <?= '<b>'. 'Código: ' .'</b>' . $simuladorVenta->id . '<br>' ?>
                            <?= '<b>' . $simuladorVenta->stock->modelo . ' ' . trim($simuladorVenta->stock->ano) .  ', ' . $simuladorVenta->stock->estado .'</b>' . '<br>' ?>
                            <?= '<b>' . 'Fecha: ' . '</b>' . h($simuladorVenta->fecha)  ?>
                            <?= '&nbsp &nbsp &nbsp ' . '<b>' . 'Chasis: ' . '</b>' . h($simuladorVenta->chasis) . '<br>' ?>


                            <?php if($simuladorVenta->condicion == 1) { ?>
                            <?php if($simuladorVenta->moneda == 1) { ?>
                            <?= '<b>' . 'Moneda: ' . '</b>' . 'DOLARES ' . '<br>' ?>
                            <?= '<b>' . 'Condición de Venta: ' . '</b>' . 'CONTADO '. '<br>' ?>
                            <?= '<b>' . 'Precio Contado: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar))) . '<br>' ?>
                            <?= '<b>' . 'Total Propuesta Cliente: ' . '</b>' .$this->Number->format(($simuladorVenta->entrega)) . '<br>' ?>
                            <?= '<b>' . 'Total con descuento: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono)) . '<br>' ?>
                            <?php 
                                        $simuladorVenta->totalavender = (($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono);
                                   } else { ?>
                            <?= '<b>' . 'Moneda: ' . '</b>' . 'GUARANIES ' . '<br>' ?>
                            <?= '<b>' . 'Condición de Venta: ' . '</b>' . 'CONTADO '. '<br>' ?>
                            <?= '<b>' . 'Precio Contado: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) * $cotiventa)) . '<br>' ?>
                            <?= '<b>' . 'Total Propuesta Cliente: ' . '</b>' .$this->Number->format(($simuladorVenta->entrega)) . '<br>' ?>
                            <?= '<b>' . 'Total con descuento: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono) * $cotiventa) . '<br>' ?>
                            <?php
                                        $simuladorVenta->totalavender = (($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono) * $cotiventa;
                                        $simuladorVenta->totalbono = $simuladorVenta->totalbono * $cotiventa;         
                                   } ?>

                            <?php } ?>



                            <?php if($simuladorVenta->condicion == 2) { 
                                   if($simuladorVenta->moneda == 1) { 
                                        echo '<b>' . 'Moneda: ' . '</b>' . 'DOLARES' . '<br>'; ;
                                        echo '<b>' . 'Condición de Venta: ' . '</b>' . 'CREDITO ' . '<br>' ;
                                        echo '<b>' . 'Financiación: ' . '</b>'  . $this->Number->format($simuladorVenta->meses) . ' meses' . '<br>';
                                        echo '<b>' . 'Total: ' . '</b>' .$this->Number->format($simuladorVenta->total - $simuladorVenta->totalbono ) . '<br>' ;
                                        echo '<b>' . 'Entrega: ' . '</b>' .$this->Number->format($simuladorVenta->entrega) . '<br>' ;
                                        echo '<b>' . 'Saldo: ' . '</b>' .$this->Number->format($simuladorVenta->saldo - $simuladorVenta->totalbono) . '<br>' ;
                                        $simuladorVenta->totalavender =  ($simuladorVenta->total - $simuladorVenta->totalbono );
                                   }else {
                                        echo '<b>' . 'Moneda: ' . '</b>' . 'GUARANIES' . '<br>'; ;
                                        echo '<b>' . 'Condición de Venta: ' . '</b>' . 'CREDITO ' . '<br>' ;
                                        echo '<b>' . 'Financiación: ' . '</b>'  . $this->Number->format($simuladorVenta->meses) . ' meses' . '<br>';
                                        echo '<b>' . 'Total: ' . '</b>' .$this->Number->format($simuladorVenta->total - ($simuladorVenta->totalbono * $cotiventa) ) . '<br>' ;
                                        echo '<b>' . 'Entrega: ' . '</b>' .$this->Number->format($simuladorVenta->entrega) . '<br>' ;
                                        echo '<b>' . 'Saldo: ' . '</b>' .$this->Number->format($simuladorVenta->saldo - ($simuladorVenta->totalbono * $cotiventa)) . '<br>' ;
                                   } 
                              } ?>


                            <?= '<b>' . 'Cédula: ' . '</b>' . h($simuladorVenta->ci) . ' ' ?>
                            <?= '&nbsp &nbsp &nbsp &nbsp' .  '<b>' . 'Teléfono: '. '</b>'. '</b>' . h($simuladorVenta->telefono) . '<br>' ?>


                            <?php 
                              if($simuladorVenta->moneda == 1) {
                                   echo '<b>' . 'Bono: ' . '</b>' . $this->Number->format($simuladorVenta->totalbono) . '<br>';
                              }else {
                                   echo '<b>' . 'Bono: ' . '</b>' . $this->Number->format( ($simuladorVenta->totalbono * $cotiventa)) . '<br>';
                              } 


                              if($simuladorVenta->condicion == 1) {
                                   if($simuladorVenta->stock->estado == 'USADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usadocomisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usadocomisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usadocomisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usadocomisioncontadofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado1comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado1comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado1comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado1comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado2comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado2comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado2comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado2comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado3comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado3comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado3comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado3comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado4comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado4comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado4comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado4comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado5comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado5comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado5comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado5comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado6comisioncontado) . '<br>';
                                                  $simuladorVenta->comision =  $comisione->usado6comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado6comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado6comisioncontadofuera;
                                             }
                                        }

                                   } // FIN USADO
                    
                                   if($simuladorVenta->stock->estado == 'RECIEN IMPORTADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión d: ' . '</b>' . $this->Number->format($comisione->recimpcomisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimpcomisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimpcomisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision =  $comisione->recimpcomisioncontadofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp1comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp1comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp1comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp1comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp2comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp2comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp2comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp2comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp3comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp3comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp3comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp3comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp4comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp4comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp4comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp4comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp5comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp5comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp5comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp5comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp6comisioncontado) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recimp6comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp6comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp6comisioncontadofuera;
                                             }
                                        }
                                   } // FIN RECIEM IMPORTADO
                                   if($simuladorVenta->stock->estado == 'RECUPERADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión d: ' . '</b>' . $this->Number->format($comisione->recucomisioncontado) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recucomisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recucomisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recucomisioncontadofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu1comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu1comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu1comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu1comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu2comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu2comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu2comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu2comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu3comisioncontado) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recu3comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu3comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu3comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu4comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu4comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu4comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recu4comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu5comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu5comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu5comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu5comisioncontadofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu6comisioncontado) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu6comisioncontado;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu6comisioncontadofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu6comisioncontadofuera;
                                             }
                                        }
                                   } // FIN RECUPERADO
                              } // fin contado

                              //////////////// COMISISION CREDITO
                              if($simuladorVenta->condicion == 2) {
                                   if($simuladorVenta->stock->estado == 'USADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usadocomisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usadocomisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usadocomisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usadocomisioncreditofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado1comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado1comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado1comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado1comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado2comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado2comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado2comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado2comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado3comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado3comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado3comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado3comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado4comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado4comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado4comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado4comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado5comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado5comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado5comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado5comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado6comisioncredito) . '<br>';
                                                  $simuladorVenta->comision =  $comisione->usado6comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->usado6comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->usado6comisioncreditofuera;
                                             }
                                        }
                                   } // FIN USADO
                                   if($simuladorVenta->stock->estado == 'RECIEN IMPORTADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimpcomisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimpcomisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimpcomisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision =  $comisione->recimpcomisioncreditofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp1comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp1comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp1comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp1comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp2comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp2comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp2comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp2comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp3comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp3comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp3comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp3comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp4comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp4comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp4comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp4comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp5comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp5comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp5comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp5comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp6comisioncredito) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recimp6comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recimp6comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recimp6comisioncreditofuera;
                                             }
                                        }
                                   } // FIN RECIEM IMPORTADO
                                   if($simuladorVenta->stock->estado == 'RECUPERADO'){
                                        if($simuladorVenta->veces == 0) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión d: ' . '</b>' . $this->Number->format($comisione->recucomisioncredito) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recucomisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recucomisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recucomisioncreditofuera;
                                             }
                                        } 
                                        if($simuladorVenta->veces == 1) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu1comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu1comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu1comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu1comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces ==2) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu2comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu2comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu2comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu2comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 3) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu3comisioncredito) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recu3comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu3comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu3comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 4) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu4comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu4comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu4comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision =$comisione->recu4comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 5) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu5comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu5comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu5comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu5comisioncreditofuera;
                                             }
                                        }
                                        if($simuladorVenta->veces == 6) { 
                                             if($simuladorVenta->fueradentro == 0){
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu6comisioncredito) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu6comisioncredito;
                                             }else{
                                                  echo '<b>' . 'Comisión: ' . '</b>' . $this->Number->format($comisione->recu6comisioncreditofuera) . '<br>';
                                                  $simuladorVenta->comision = $comisione->recu6comisioncreditofuera;
                                             }
                                        }
                                   } // FIN RECUPERADO
                              } // fin credito
                              
                              if($simuladorVenta->estado == 0) {
                                   echo  '<br>';
                              }

                              if($simuladorVenta->estado == 1) {
                                   echo  '&nbsp &nbsp &nbsp' . '<b>' . '*ENVIADO AL GERENTE*' . '</b>' . '<br>';
                              }
                              if($simuladorVenta->estado == 2) {
                                   echo  '&nbsp &nbsp &nbsp' . '<b>' . '*ENVIADO AL GERENTE GENERAL*' . '</b>' . '<br>';
                              }
                              if($simuladorVenta->estado == 3) {
                                   echo  '&nbsp &nbsp &nbsp' . '<b>' . '*BONOS GENERADOS!*' . '</b>' . '<br>';
                              }

                              if($simuladorVenta->condicion == 2) {
                                  echo $this->Html->link('Ver cuota', ['action' => 'view', $simuladorVenta->id], ['class' => 'btn btn-sm btn-primary']);
                                  echo  '&nbsp &nbsp';
                              }

                              echo $this->Form->postLink('Solicitar Venta', ['action' => 'confirmarventa', $simuladorVenta->id, $simuladorVenta->totalavender, $simuladorVenta->comision], ['confirm' => 'DESEA APROBAR ESTE CREDITO PARA LA VENTA ?', 'class' => 'btn btn-sm btn-info']);
                              echo  '&nbsp &nbsp';
                              if($simuladorVenta->veces < 3) { 
                                   echo $this->Html->link('Pedir más bono', [ 'controller' => 'stocks', 'action' => 'pedirmasbono', $simuladorVenta->id], ['class' => 'btn btn-sm btn-success']) ;
                              } else {
                                   if($current_user['id']==19 or $current_user['id']==26 or $current_user['id']==25 or $current_user['id']==3 or $current_user['id']==1){
                                        
                                        if($simuladorVenta->veces < 6) { 
                                             echo $this->Html->link('Pedir más bono', [ 'controller' => 'stocks', 'action' => 'pedirmasbono', $simuladorVenta->id], ['class' => 'btn btn-sm btn-success']) ;
                                        } else {
                                             if($simuladorVenta->estado == 0) {
                                                 echo $this->Html->link('PEDIR BONO AL GERENTE GENERAL', ['action' => 'gerente2bonomovil', $simuladorVenta->id, $current_user['empresa']], ['class' => 'btn btn-sm btn-success']);
                                             }
                                         }

                                   }else{
                                        if($simuladorVenta->estado == 0) {
                                             echo $this->Html->link('PEDIR BONO AL GERENTE', ['action' => 'gerentebono', $simuladorVenta->id], ['class' => 'btn btn-sm btn-success']);
                                        }
                                   }
                              }
                            ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>

    </div>
</div>

<script>
jQuery(function($) { //on document.ready
    $("#datarozmowy").datepicker({
        dateFormat: "dd/mm/yy"
    }).datepicker("setDate", null);
    $('#czasrozmowy').timepicker({
        timeFormat: 'HH:mm'
    });
    $('#nexttime').timepicker({
        timeFormat: 'HH:mm'
    });
    if ($('#czasrozmowy').val() == '') {
        $('#czasrozmowy').val(moment().format('LT'));
    }
    $("#datakontakt").datepicker({
        dateFormat: "dd/mm/yy",
        minDate: new Date($("#datarozmowy").val())
    });
    $.trumbowyg.svgPath = '/css/trum/icons.svg';
    $('.editor').trumbowyg({
        lang: 'pl'
    });
})
</script>