<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\SimuladorVenta $simuladorVenta
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('List Simulador Ventas'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Productos'), ['controller' => 'Productos', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Producto'), ['controller' => 'Productos', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="simuladorVentas form large-9 medium-8 columns content">
    <?= $this->Form->create($simuladorVenta) ?>
    <fieldset>
        <legend><?= __('Add Simulador Venta') ?></legend>
        <?php
            echo $this->Form->control('chasis');
            echo $this->Form->control('producto_id', ['options' => $productos, 'empty' => true]);
            echo $this->Form->control('meses');
            echo $this->Form->control('moneda');
            echo $this->Form->control('total');
            echo $this->Form->control('entrega');
            echo $this->Form->control('saldo');
            echo $this->Form->control('cuota');
            echo $this->Form->control('montocuota');
            echo $this->Form->control('refuerzo');
            echo $this->Form->control('montorefuerzo');
            echo $this->Form->control('empleado_id', ['options' => $empleados, 'empty' => true]);
            echo $this->Form->control('fecha');
            echo $this->Form->control('hora');
            echo $this->Form->control('tipopersona');
            echo $this->Form->control('ci');
            echo $this->Form->control('telefono');
            echo $this->Form->control('aleatorio');
            echo $this->Form->control('veces');
            echo $this->Form->control('vecesgerente');
            echo $this->Form->control('vecessergio');
            echo $this->Form->control('estado');
            echo $this->Form->control('borrado');
            echo $this->Form->control('confirmado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
