
<div class="row">
    <div class="col-md-6 col-md-offset-3">
    	<div class="page-header">
    		<h2>Crear precio</h2>
    	</div>
        <?= $this->Form->create($precioespecials, ['onsubmit' => 'return validarFormulario();']) ?>
        
        <b><?= "Modelo"?></b>
        
        <?= $this->Form->select('modelo', $resultadoConsulta->combine('lista', 'lista'), ['empty' => true]) ?><br>
        
        <?= $this->Form->input('anio_desde', [
            'type' => 'number',
            'min' => '1990',
            'max' => '2023',
            'step' => '1',
            'label' => ['text' => 'Año desde'],
            'id' => 'anio_desde'
        ]) ?>
        
        <?= $this->Form->input('anio_hasta', [
            'type' => 'number',
            'min' => '1990',
            'max' => '2023',
            'step' => '1',
            'label' => ['text' => 'Año hasta'],
            'id' => 'anio_hasta'
        ]) ?>
        
        <?= $this->Form->input('entrega12', [
             'type' => 'number',
             'label' => ['text' => 'Entrega especial en 12 - %'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('monto12', [
             'type' => 'number',
             'label' => ['text' => 'Monto en 12'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('descuento12', [
             'type' => 'number',
             'label' => ['text' => 'Descuento en 12'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('entrega24', [
             'type' => 'number',
             'label' => ['text' => 'Entrega especial en 24 - %'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('monto24', [
             'type' => 'number',
             'label' => ['text' => 'Monto en 24'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('descuento24', [
             'type' => 'number',
             'label' => ['text' => 'Descuento en 24'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->input('entrega', [
             'type' => 'number',
             'label' => ['text' => 'Entrega normal'],
             'min' => '0'
        ]) ?>
        
        <?= $this->Form->button('Crear', ['class' => 'btn btn-success btn-block']) ?>
        <?= $this->Form->end() ?>
    </div>
</div>

<script>
function validarFormulario() {
    var desde = document.getElementById('anio_desde').value;
    var hasta = document.getElementById('anio_hasta').value;

    if (hasta < desde) {
        alert('El "hasta" no puede ser menor que el "desde".');
        return false;
    }

    // Otras validaciones o acciones adicionales si es necesario

    return true;
}
</script>





