<?php
$isMobile = $this->request->is('mobile');

$this->Html->scriptBlock('
    function isMobile() {
        return window.innerWidth <= 768;
    }

', ['block' => true]);
?>

<script src="/js/fn_validateChasis.js"></script>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE VEHICULOS - SECUESTRADO</h4>
            <!-- <div class="table-responsive"> -->
            <div class="container-fluid">
                <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Stocks', 'action' => 'secuestrado/'. $stocktipo))); ?>
                <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 
                'placeholder' => 'Chassis o modelo...', 'oninput' => "validateChasis(this)")); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
            </div>
        </div>
        
       <!-- <div class="table-responsive"> -->
       <div class="table-responsive">
             <!-- <table class="table table-sm"> -->
             <table class="table">
                <thead>
                    <tr>
                         <?php 
                          if($current_user['fotogrilla']==0){
                        ?>
                        <th></th>
                        <?php 
                          }
                        ?>
                        
                        <!-- luis -->
                        <?php
                        if ($isMobile and $current_user['tipovista']==1): ?>
                        
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?><br>
                                <?= $this->Paginator->sort('ano', ['Año']) ?><br>
                                <?= $this->Paginator->sort('color', ['Color']) ?><br>
                                <?= $this->Paginator->sort('chasis', ['Chasis']) ?><br>
                                <?= $this->Paginator->sort('ubicacion', ['Ubicacion']) ?></th>
                        <?php else: ?>
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                            <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                            <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                            <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                            <th><?= $this->Paginator->sort('ubicacion', ['Ubicacion']) ?></th>
                        <?php endif; ?>

                        <!-- luis -->
                        
                        <?php 
                          if($current_user['id']==3   //sergio
                          or $current_user['id']==1   //richard
                          or $current_user['id']==48   //nestor
                          or $current_user['id']==130){
                        ?>
                        
                        <th><?= $this->Paginator->sort('fecha_ingreso', ['Fecha ingreso']) ?></th>
                        <th><?= $this->Paginator->sort('costo', ['Costo']) ?></th>
                        <th><?= 'CAMBIAR UBICACION' ?></th>
                        <?php 
                          }
                        ?>

                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($stocks as $stock): ?>
                    <tr>
                         <?php 
                          if($current_user['fotogrilla']==0){
                        ?>
                        <td><?php 
                            $imgfile = (WWW_ROOT.'/img/chasisthumbs/thumb_'.$stock->imagen);
                            if (file_exists($imgfile)):
                                echo $this->Html->image('/img/chasisthumbs/thumb_'.$stock->imagen, array('width' => 80, 'height' => 60));
                            else:
                                echo $this->Html->image('/img/logohvn.png', array('width' => 80, 'height' => 60));
                            endif;    
                            ?>
                        
                        </td>
                        <?php 
                          }
                        ?>
                        
                        <!-- luis -->                
                        <?php
                        if ($isMobile and $current_user['tipovista']==1): ?> 
                        
                            <td><?= h($stock->modelo) ?><br>
                                <?= h($stock->ano) ?><br>
                                <?= h($stock->color) ?><br>
                                <?= h($stock->chasis) ?><br>
                                <?= h($stock->ubicacion) ?>
                            </td>
                        <?php else: ?>

                            <td><?= h($stock->modelo) ?></td>
                            <td><?= h($stock->ano) ?></td>
                            <td><?= h($stock->color) ?></td>
                            <td><?= h($stock->chasis) ?></td>
                            <td><?= h($stock->ubicacion) ?></td>

                        <?php endif; ?>
                        <!-- luis -->                       

                       <?php 
                          if($current_user['id']==3   //sergio
                          or $current_user['id']==1   //richard
                          or $current_user['id']==48   //nestor
                          or $current_user['id']==130  //marta 
                          ){
                        ?>
                        
                        <td><?= h($stock->fecha_ingreso) ?></td>
                        <th><?= number_format($stock->costo, 0, ',', '.') ?></th>
                        <th><?= $this->Html->link('CAMBIAR UBI.', ['controller' => 'DepositosUbicas', 'action' => 'add', trim($stock->chasis)], ['class' => 'btn btn-sm btn-primary']) ?></th>
 	
 	
                        <?php 
                            }
                        ?>

                        <td>
                            <?= $this->Html->link('VER FOTO', ['action' => 'mostrar', trim($stock->chasis)], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>