

<?= $this->Html->css('bootstrap.min.css') ?>


<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">VENTAS</h4>
            <div class="table-responsive">
             <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Stocks', 'action' => 'search'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis o modelo...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
         </div>   
         </div>
         
        <div class="table-responsive">
            <table class="table  table-sm">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ven_tipo', 'Tipo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('detalle') ?></th>
                <th scope="col"><?= $this->Paginator->sort('venta') ?></th>
                <th scope="col"><?= $this->Paginator->sort('entrega') ?></th>
                <th scope="col"><?= $this->Paginator->sort('saldo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasisvehiculo', 'chasis entro') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($ventapordias as $ventapordia): ?>
             
            <tr>
               <td><?php echo $this->Html->image('/img/chasis/'.$ventapordia->imagen, array('width' => 80, 'height' => 60)); ?></td>
                <td><?= $ventapordia->ven_tipo ?></td>
                <td><?= h($ventapordia->detalle) ?></td>
                <td><?= $this->Number->format($ventapordia->venta) ?></td>
                <td><?= $this->Number->format($ventapordia->entrega) ?></td>
                <td><?= $this->Number->format($ventapordia->saldo) ?></td>
                <td><?= h($ventapordia->chasisvehiculo) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $ventapordia->id]) ?>
                </td> 
            </tr>
        
           
            <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>

            <p><?= $this->Paginator->counter(['format' => __('PAGINA {{page}} DE {{pages}}, MOSTRANDO {{current}} VENTA(S) DE UN TOTAL DE {{count}}')]) ?></p>
        </div>
    </div>
</div>


