<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>BUSCADOR DE VENTA</h2>

            <?php echo $this->Form->create($simuladorVenta, array('type' => 'get')); ?>
            <table class="table table-striped">
            <tr>
                <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'DESDE', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s'  )); ?>
                <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => 'HASTA', 'div' => false, 'id' => 'datado', 'class' => 'form-control s')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?> </tr>
           </table>
           <?php echo $this->Form->end(); ?>
        
         </div>

             <div class="table-responsive">
             <table class="table  table-sm">
            <thead>
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cliente') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('detalle') ?></th>
                <th scope="col"><?= $this->Paginator->sort('moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('total') ?></th>
                <th scope="col"><?= $this->Paginator->sort('formadepago' , ['Forma de pago']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('comisionguaranies' , ['Comision en guaranies']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('comisiondolares' , ['Comision en dolares']) ?></th>
                <th scope="col"><?= $this->Paginator->sort('vendedor' , ['Vendedor']) ?></th>
                
            </tr>
        </thead>
        <tbody>
            <?php foreach ($ventas as $venta): ?>
            <tr>
                <td><?= h($venta->fecha) ?></td>
                <td><?= h($venta->cliente) ?></td>
                <td><?= h($venta->chasis) ?></td>
                <td><?= h($venta->detalle) ?></td>
                <td><?= h($venta->moneda) ?></td>
                <td><?= $this->Number->format($venta->total) ?></td>
                <td><?= h($venta->formadepago) ?></td>
                <td><?= $this->Number->format($venta->comisionguaranies) ?></td>
                <td><?= $this->Number->format($venta->comisiondolares) ?></td>
                <td><?= h($venta->vendedor) ?></td>
               
            </tr>
            <?php endforeach; ?>
        </tbody>
            </table>
        </div>

    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Pagina {{page}} de {{pages}}, mostrando {{current}} filas(s) de {{count}} ')]) ?></p>
    </div>
</div>
</div>
</div>


<script>
  $("#dataod").datepicker({dateFormat:"dd-mm-yy"});
  $("#datado").datepicker({dateFormat:"dd-mm-yy"});
  </script>
