<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;
use Cake\Log\Log;


class CvdepositosController extends AppController
{
    
     public function initialize() {
        parent::initialize();
        $this->loadComponent( 'RequestHandler' );
    }
    
    public function beforeFilter(\Cake\Event\Event $event)
    {
        parent::beforeFilter($event);
        $this->Auth->allow(['ajaxasignar']);
    }
    
    
    public function index()
    {
        
         $this->set( 'cv', TableRegistry::get( 'funcionariocvs' )->find( 'list' )->where(['funcionariocvs.borrado' => 0]) );


        $search = null;
        if(!empty($this->request->query['search'])){
            
            $searchs = $this->request->query['search'];
            $condicion = "UPPER(chasis) LIKE '%" . strtoupper($searchs) . "%'" ;
            $this->paginate = [
                'conditions' => [$condicion],
                'order' => ['id' => 'DESC']
            ];
            
            $listas = $this->paginate($this->Cvdepositos);
            $this->set(compact('listas'));
            $this->set('search', $searchs);
            
        }else{
             $this->paginate = [
                'order' => ['id' => 'DESC']
            ];
            
            $listas = $this->paginate($this->Cvdepositos);
            $this->set(compact('listas'));     
        }
    }
    
    
    public function terminado( $id = null )  
    {
        $this->render(false);
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE cvs SET estado=? WHERE id = ?', [2, $id] );
        $connection->commit(); 
        $connection->disconnect();
        
        echo "<script>history.go(-1)</script>";
    }
    
    
      public function ajaxasignar( $id = null ) {
            
            $this->render(false);
            if ($this->request->is('post')) {
                $cv = $this->request->getData("vend");
                
                $sql = "UPDATE public.cvs SET empleado=? WHERE id=?";
               
                $connection = ConnectionManager::get('default');
                $connection->execute($sql, [$cv, $id]);
               
                $connection->commit(); 
                $connection->disconnect();
            }
        }
    
   
    
}
