<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Listadoventas Controller
 *
 * @property \App\Model\Table\ListadoVentasTable $ListadoVentas
 *
 * @method \App\Model\Entity\ListadoVenta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ListadoventasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
    
        $totalVentasEmpleado = $this->Listadoventas->find()
        ->select(['total' => 'SUM(total)'])
        ->where(['empleado' => $this->Auth->User('empleado')])
        ->first()
        ->toArray();
    
        //$listadoventas = $this->paginate($this->Listadoventas, ['conditions' => ['empleado' => 4]]);
        $listadoventas = $this->paginate($this->Listadoventas, ['conditions' => ['empleado' => $this->Auth->User('empleado')]]);

        $this->set('totalVentasEmpleado', $totalVentasEmpleado['total']);
        $this->set(compact('listadoventas'));
    }
}
