<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

class PagarCvsController extends AppController
{
    public function index()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            
            $searchs = $this->request->query['search'];
            $condicion = "UPPER(chasis) LIKE '%" . strtoupper($searchs) . "%' OR  UPPER(nombre) LIKE '%" . strtoupper($searchs) . "%'" ;
            $this->paginate = [
                'conditions' => [$condicion],
                'order' => ['id' => 'DESC']
            ];
            
            $pagar = $this->paginate($this->PagarCvs);
            $this->set(compact('pagar'));
            $this->set('search', $searchs);
            
        }else{
             $this->paginate = [
                'order' => ['id' => 'DESC']
            ];
            
            $pagar = $this->paginate($this->PagarCvs);
            $this->set(compact('pagar'));     
        }
    }
    
    
    public function terminado( $id = null )  
    {
        $this->render(false);
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE cvs SET estado=? WHERE id = ?', [2, $id] );
        $connection->commit(); 
        $connection->disconnect();
        
        echo "<script>history.go(-1)</script>";
    }
    
    public function proceso( $id = null )  
    {
        $this->render(false);
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE cvs SET estado=? WHERE id = ?', [1, $id] );
        $connection->commit(); 
        $connection->disconnect();
        
        echo "<script>history.go(-1)</script>";
    }
    
}
