<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * CalidadConstruccion Entity
 *
 * @property int $id
 * @property string $descripcion
 * @property float $costo
 * @property float $preciocontado
 * @property float $preciocredito
 * @property float $descuentoporano
 * @property int $entrega
 * @property int $plazosaldocuota
 * @property int $usuario
 * @property string $fechacreacion
 * @property int $usuariomodify
 * @property string $fechamodify
 */
class CalidadConstruccion extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'descripcion' => true,
        'costo' => true,
        'preciocontado' => true,
        'preciocredito' => true,
        'descuentoporano' => true,
        'entrega' => true,
        'plazosaldocuota' => true,
        'usuario' => true,
        'fechacreacion' => true,
        'usuariomodify' => true,
        'fechamodify' => true
    ];
}
