<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Generadors Model
 *
 *
 * @method \App\Model\Entity\Generador get($primaryKey, $options = [])
 * @method \App\Model\Entity\Generador newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Generador[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Generador|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Generador saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Generador patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Generador[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Generador findOrCreate($search, callable $callback = null, $options = [])
 */
class GeneradorsTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('generadors');
        $this->displayField('id');
        $this->primaryKey('id');

       
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id');


        return $validator;
    }
}
