<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Aprobarventa $aprobarventa
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Aprobarventa'), ['action' => 'edit', $aprobarventa->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Aprobarventa'), ['action' => 'delete', $aprobarventa->id], ['confirm' => __('Are you sure you want to delete # {0}?', $aprobarventa->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Aprobarventas'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Aprobarventa'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="aprobarventas view large-9 medium-8 columns content">
    <h3><?= h($aprobarventa->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($aprobarventa->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($aprobarventa->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Us Login') ?></th>
            <td><?= h($aprobarventa->us_login) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Aprobado') ?></th>
            <td><?= h($aprobarventa->aprobado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($aprobarventa->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ventatotal') ?></th>
            <td><?= $this->Number->format($aprobarventa->ventatotal) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entregaminima') ?></th>
            <td><?= $this->Number->format($aprobarventa->entregaminima) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entregatotal') ?></th>
            <td><?= $this->Number->format($aprobarventa->entregatotal) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Saldo') ?></th>
            <td><?= $this->Number->format($aprobarventa->saldo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cantidadcuota') ?></th>
            <td><?= $this->Number->format($aprobarventa->cantidadcuota) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comision') ?></th>
            <td><?= $this->Number->format($aprobarventa->comision) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Costo') ?></th>
            <td><?= $this->Number->format($aprobarventa->costo) ?></td>
        </tr>
    </table>
    <div class="row">
        <h4><?= __('Cliente') ?></h4>
        <?= $this->Text->autoParagraph(h($aprobarventa->cliente)); ?>
    </div>
    <div class="row">
        <h4><?= __('Chasis') ?></h4>
        <?= $this->Text->autoParagraph(h($aprobarventa->chasis)); ?>
    </div>
    <div class="row">
        <h4><?= __('Formadepago') ?></h4>
        <?= $this->Text->autoParagraph(h($aprobarventa->formadepago)); ?>
    </div>
    <div class="row">
        <h4><?= __('Vendedor') ?></h4>
        <?= $this->Text->autoParagraph(h($aprobarventa->vendedor)); ?>
    </div>
    <div class="row">
        <h4><?= __('Moneda') ?></h4>
        <?= $this->Text->autoParagraph(h($aprobarventa->moneda)); ?>
    </div>
</div>
