<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\DepositosUbica $depositosUbica
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Depositos Ubica'), ['action' => 'edit', $depositosUbica->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Depositos Ubica'), ['action' => 'delete', $depositosUbica->id], ['confirm' => __('Are you sure you want to delete # {0}?', $depositosUbica->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Depositos Ubicas'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Depositos Ubica'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Depositos'), ['controller' => 'Depositos', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Deposito'), ['controller' => 'Depositos', 'action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="depositosUbicas view large-9 medium-8 columns content">
    <h3><?= h($depositosUbica->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Deposito') ?></th>
            <td><?= $depositosUbica->has('deposito') ? $this->Html->link($depositosUbica->deposito->sucursal, ['controller' => 'Depositos', 'action' => 'view', $depositosUbica->deposito->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ubica') ?></th>
            <td><?= $depositosUbica->has('ubica') ? $this->Html->link($depositosUbica->ubica->ubicacion, ['controller' => 'Ubicas', 'action' => 'view', $depositosUbica->ubica->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($depositosUbica->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($depositosUbica->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($depositosUbica->estado) ?></td>
        </tr>
    </table>
</div>
