<?php
/**
  * @var \App\View\AppView $this
  */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actiones') ?></li>
        <li><?= $this->Html->link(__('Editar Empleado'), ['action' => 'edit', $empleado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Borrar Empleado'), ['action' => 'delete', $empleado->id], ['confirm' => __('Desea borrar registro # {0}?', $empleado->id)]) ?> </li>
        <li><?= $this->Html->link(__('Listado Empleados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('Nuevo Empleado'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('Listafo Users'), ['controller' => 'Users', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('Nuevo User'), ['controller' => 'Users', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="empleados view large-9 medium-8 columns content">
    <h3><?= h($empleado->cedula) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Nombre') ?></th>
            <td><?= h($empleado->nombre) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Apellido') ?></th>
            <td><?= h($empleado->apellido) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechaingreso') ?></th>
            <td><?= h($empleado->fechaingreso) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Telefono1') ?></th>
            <td><?= h($empleado->telefono1) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Telefono2') ?></th>
            <td><?= h($empleado->telefono2) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Telefono3') ?></th>
            <td><?= h($empleado->telefono3) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Domicilio') ?></th>
            <td><?= h($empleado->domicilio) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Nrodomi') ?></th>
            <td><?= h($empleado->nrodomi) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Dominum') ?></th>
            <td><?= h($empleado->dominum) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Profesion') ?></th>
            <td><?= h($empleado->profesion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Sena') ?></th>
            <td><?= h($empleado->sena) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Observacion') ?></th>
            <td><?= h($empleado->observacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($empleado->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ruc') ?></th>
            <td><?= h($empleado->ruc) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cargo') ?></th>
            <td><?= h($empleado->cargo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($empleado->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modalidad') ?></th>
            <td><?= $this->Number->format($empleado->modalidad) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usistema') ?></th>
            <td><?= $this->Number->format($empleado->usistema) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Edad') ?></th>
            <td><?= $this->Number->format($empleado->edad) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Sexo') ?></th>
            <td><?= $this->Number->format($empleado->sexo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estadocivil') ?></th>
            <td><?= $this->Number->format($empleado->estadocivil) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Esteempleado') ?></th>
            <td><?= $this->Number->format($empleado->esteempleado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Sueldo') ?></th>
            <td><?= $this->Number->format($empleado->sueldo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Horaxdia') ?></th>
            <td><?= $this->Number->format($empleado->horaxdia) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Horaextra') ?></th>
            <td><?= $this->Number->format($empleado->horaextra) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fercosto') ?></th>
            <td><?= $this->Number->format($empleado->fercosto) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comitipo') ?></th>
            <td><?= $this->Number->format($empleado->comitipo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Prectipo') ?></th>
            <td><?= $this->Number->format($empleado->prectipo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ventacont') ?></th>
            <td><?= $this->Number->format($empleado->ventacont) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Ventacred') ?></th>
            <td><?= $this->Number->format($empleado->ventacred) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cobrador') ?></th>
            <td><?= $this->Number->format($empleado->cobrador) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Moneda') ?></th>
            <td><?= $this->Number->format($empleado->moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comivcont') ?></th>
            <td><?= $this->Number->format($empleado->comivcont) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comivcred') ?></th>
            <td><?= $this->Number->format($empleado->comivcred) ?></td>
        </tr>
    </table>
    <div class="related">
        <h4><?= __('Related Users') ?></h4>
        <?php if (!empty($empleado->users)): ?>
        <table cellpadding="0" cellspacing="0">
            <tr>
                <th scope="col"><?= __('Id') ?></th>
                <th scope="col"><?= __('First Name') ?></th>
                <th scope="col"><?= __('Last Name') ?></th>
                <th scope="col"><?= __('Email') ?></th>
                <th scope="col"><?= __('Password') ?></th>
                <th scope="col"><?= __('Role') ?></th>
                <th scope="col"><?= __('Active') ?></th>
                <th scope="col"><?= __('Created') ?></th>
                <th scope="col"><?= __('Modified') ?></th>
                <th scope="col"><?= __('Tipo') ?></th>
                <th scope="col"><?= __('Empleado') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
            <?php foreach ($empleado->users as $users): ?>
            <tr>
                <td><?= h($users->id) ?></td>
                <td><?= h($users->first_name) ?></td>
                <td><?= h($users->last_name) ?></td>
                <td><?= h($users->email) ?></td>
                <td><?= h($users->password) ?></td>
                <td><?= h($users->role) ?></td>
                <td><?= h($users->active) ?></td>
                <td><?= h($users->created) ?></td>
                <td><?= h($users->modified) ?></td>
                <td><?= h($users->tipo) ?></td>
                <td><?= h($users->empleado) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['controller' => 'Users', 'action' => 'view', $users->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['controller' => 'Users', 'action' => 'edit', $users->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['controller' => 'Users', 'action' => 'delete', $users->id], ['confirm' => __('Are you sure you want to delete # {0}?', $users->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </table>
        <?php endif; ?>
    </div>
</div>
