<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventariosdetalle $inventariosdetalle
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $inventariosdetalle->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $inventariosdetalle->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Inventariosdetalles'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="inventariosdetalles form large-9 medium-8 columns content">
    <?= $this->Form->create($inventariosdetalle) ?>
    <fieldset>
        <legend><?= __('Edit Inventariosdetalle') ?></legend>
        <?php
            echo $this->Form->control('detalle');
            echo $this->Form->control('estado');
            echo $this->Form->control('chasis');
            echo $this->Form->control('marca');
            echo $this->Form->control('modelo');
            echo $this->Form->control('color');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
