<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Trabajo $trabajo
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $trabajo->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $trabajo->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Trabajos'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="trabajos form large-9 medium-8 columns content">
    <?= $this->Form->create($trabajo) ?>
    <fieldset>
        <legend><?= __('Edit Trabajo') ?></legend>
        <?php
            echo $this->Form->control('usuario');
            echo $this->Form->control('pedido');
            echo $this->Form->control('estado');
            echo $this->Form->control('fecna');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
